ISIS - Feature #3912

Add unsigned word capabilities to ISIS
2016-04-26 04:10 PM - Stuart Sides

Status: Closed

Priority: Normal

Assignee: Makayla Shepherd

Category: API

Target version: N/A

Impact: unsigned word is now supported Software Version:
Description

ISIS currently reads unsigned word images and converts them to float images, effectively doubling their size. Add the capability for
ISIS to read and use unsigned word images.

History

#1 - 2016-05-17 05:29 PM - Makayla Shepherd
- Status changed from Assigned to In Progress

- Impact updated

#2 - 2016-05-19 09:35 AM - Trent Hare

This is good to see. | hope we can also use the keyword value:
Type = UnsignedWord

If this happens, then the GDAL ISIS3 reader will already support this for conversion. GDAL will also assume the ISIS3 NoData will be 0 for
UnsignedWord.
https://svn.osgeo.org/gdal/trunk/gdal/frmts/pds/isis3dataset.cpp

-Trent

#3 - 2016-06-14 03:30 PM - Makayla Shepherd
- Impact updated

#4 - 2016-06-16 12:05 PM - Makayla Shepherd

- Status changed from In Progress to Resolved

#5 - 2016-06-20 03:40 PM - Stuart Sides

- Status changed from Resolved to Closed

2017-01-02 1/1



https://svn.osgeo.org/gdal/trunk/gdal/frmts/pds/isis3dataset.cpp
http://www.tcpdf.org

